Subject: Re: [PATCH 0/2] Tentative fix for the divide-by-zero on score/paris/..

From: Quentin Casasnovas <[email-masked]>
Date: Sun, 19 Apr 2015 13:47:55 +0200

On Fri, Apr 17, 2015 at 10:52:43PM -0700, Guenter Roeck wrote:
> Hi Quentin,

Hi Guenter,

> 
> it looks like there is another failure in linux-next, this time with sparc64:allmodconfig:
> 
> WARNING: arch/sparc/kernel/built-in.o(__ex_table+0x3b4): Section mismatch in reference from the (unknown reference) (unknown) to the variable :__retl_efault
> /bin/sh: line 1: 22844 Floating point exception(core dumped) scripts/mod/modpost arch/sparc/kernel/built-in.o
> 
> The problem was previously hidden by a different build failure.

Thanks for letting me know, but I think this was fixed by the 3 earlier
patches Rusty already applied in it its tree.  I can reproduce this on

  ae46885 ("modpost: handle -ffunction-sections")

But it's fine on top of Rusty's modules-next (464f362).

Let me know if I'm missing something!

Thanks,
Quentin